/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define PIO0_29_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO0_30_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*! @name FC0_TXD_SCL_MISO_WS (number 95), JP49[3]/JP80[2]/P0_30-FC0_TXD_SCL_MISO_WS-TRACED1-CAN0_TD
  @{ */
/* @} */

/*! @name FC0_RXD_SDA_MOSI_DATA (number 93), JP78[2]/P0_29-FC0_RXD_SDA_MOSI_DATA-TRACED2
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSART(void); /* Function assigned for the Cortex-M33 */

#define PIO0_17_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO0_22_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_28_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*! @name PIO1_28 (number 72), J122[16]/P1_28
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITGPIO_LED_RED_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITGPIO_LED_RED_GPIO_PIN_MASK (1U << 28U) /*!<@brief GPIO pin mask */
#define BOARD_INITGPIO_LED_RED_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGPIO_LED_RED_PIN 28U                   /*!<@brief PORT pin number */
#define BOARD_INITGPIO_LED_RED_PIN_MASK (1U << 28U)      /*!<@brief PORT pin mask */
                                                         /* @} */

/*! @name PIO0_22 (number 78), J12[8]/JP72[2]/P0_22
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITGPIO_LED_GREEN_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITGPIO_LED_GREEN_GPIO_PIN_MASK (1U << 22U) /*!<@brief GPIO pin mask */
#define BOARD_INITGPIO_LED_GREEN_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGPIO_LED_GREEN_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_INITGPIO_LED_GREEN_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO0_17 (number 41), J8[2]/P0_17
  @{ */
#define BOARD_INITGPIO_SW3_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGPIO_SW3_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_INITGPIO_SW3_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitGPIO(void); /* Function assigned for the Cortex-M33 */

#define PIO1_17_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_20_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_22_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_4_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_6_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_8_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPWM0(void); /* Function assigned for the Cortex-M33 */

/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO0_10_DIGIMODE_ANALOG 0x00u
/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO0_15_DIGIMODE_ANALOG 0x00u
/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO0_16_DIGIMODE_ANALOG 0x00u
/*!
 * @brief Analog switch input control: Analog switch is closed. (enable) */
#define PIO0_31_ASW0_ENABLE 0x01u
/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO0_31_DIGIMODE_ANALOG 0x00u
/*!
 * @brief
 * Mode select (on-chip pull-up/pull-down resistor control): Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO0_31_MODE_INACTIVE 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitADC0(void); /* Function assigned for the Cortex-M33 */

/*!
 * @brief Analog switch input control: Analog switch is closed. (enable) */
#define PIO1_5_ASW0_ENABLE 0x01u
/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO1_5_DIGIMODE_ANALOG 0x00u
/*!
 * @brief
 * Mode select (on-chip pull-up/pull-down resistor control): Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO1_5_MODE_INACTIVE 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitHSCMP0(void); /* Function assigned for the Cortex-M33 */

#define PIO0_13_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO0_14_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENC0(void); /* Function assigned for the Cortex-M33 */

#define PIO0_21_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO0_3_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_21_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_23_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_25_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO1_31_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPWM1(void); /* Function assigned for the Cortex-M33 */

#define PIO0_11_DIGIMODE_ANALOG 0x00u /*!<@brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO0_12_DIGIMODE_ANALOG 0x00u /*!<@brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO1_7_DIGIMODE_ANALOG 0x00u  /*!<@brief Select Digital mode: Disable digital mode. Digital input set to 0. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitADC1(void); /* Function assigned for the Cortex-M33 */

/*!
 * @brief Analog switch input control: Analog switch is closed. (enable) */
#define PIO1_10_ASW0_ENABLE 0x01u
/*!
 * @brief Select Digital mode: Disable digital mode. Digital input set to 0. */
#define PIO1_10_DIGIMODE_ANALOG 0x00u
/*!
 * @brief
 * Mode select (on-chip pull-up/pull-down resistor control): Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO1_10_MODE_INACTIVE 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitHSCMP1(void); /* Function assigned for the Cortex-M33 */

#define PIO0_2_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */
#define PIO0_6_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Digital mode: Enable Digital mode. Digital input is enabled. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENC1(void); /* Function assigned for the Cortex-M33 */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
